# Note this file has been generated and will be overwritten if a
# logging subsystem has been defined in the XML configuration.


# Additional loggers to configure (the root logger is always configured)
loggers=com.arjuna,jacorb,org.jboss.as.config,org.apache.tomcat.util.modeler,sun.rmi,jacorb.config

logger.level=INFO
logger.handlers=CONSOLE,FILE

logger.com.arjuna.level=WARN
logger.com.arjuna.useParentHandlers=true

logger.jacorb.level=WARN
logger.jacorb.useParentHandlers=true

logger.org.jboss.as.config.level=DEBUG
logger.org.jboss.as.config.useParentHandlers=true

logger.org.apache.tomcat.util.modeler.level=WARN
logger.org.apache.tomcat.util.modeler.useParentHandlers=true

logger.sun.rmi.level=WARN
logger.sun.rmi.useParentHandlers=true

logger.jacorb.config.level=ERROR
logger.jacorb.config.useParentHandlers=true

# Additional handlers to configure
handlers=customFileAppender


handler.customFileAppender=org.jboss.as.logging.logmanager.Log4jAppenderHandler
handler.customFileAppender.module=org.jboss.as.logging
handler.customFileAppender.level=ALL
handler.customFileAppender.formatter=customFileAppender
handler.customFileAppender.postConfiguration=activate
handler.customFileAppender.properties=appender,enabled
handler.customFileAppender.appender=customFileAppender
handler.customFileAppender.enabled=false

handler.FILE=org.jboss.logmanager.handlers.PeriodicRotatingFileHandler
handler.FILE.level=ALL
handler.FILE.formatter=FILE
handler.FILE.properties=autoFlush,append,fileName,suffix,enabled
handler.FILE.constructorProperties=fileName,append
handler.FILE.autoFlush=true
handler.FILE.append=true
handler.FILE.fileName=C\:\\BuildAgent\\work\\b145776b46e82d98\\testsuite\\integration\\basic\\target\\jbossas\\standalone\\log\\server.log
handler.FILE.suffix=.yyyy-MM-dd
handler.FILE.enabled=true

formatter.customFileAppender=org.jboss.logmanager.formatters.PatternFormatter
formatter.customFileAppender.properties=pattern
formatter.customFileAppender.constructorProperties=pattern
formatter.customFileAppender.pattern=%d{HH\:mm\:ss,SSS} %-5p [%c] (%t) %s%E%n

formatter.FILE=org.jboss.logmanager.formatters.PatternFormatter
formatter.FILE.properties=pattern
formatter.FILE.constructorProperties=pattern
formatter.FILE.pattern=%d{HH\:mm\:ss,SSS} %-5p [%c] (%t) %s%E%n

# POJOs to configure
pojos=customFileAppender

pojo.customFileAppender=org.apache.log4j.FileAppender
pojo.customFileAppender.module=org.apache.log4j
pojo.customFileAppender.properties=file,immediateFlush
pojo.customFileAppender.file=C\:\\BuildAgent\\work\\b145776b46e82d98\\testsuite\\integration\\basic\\target\\jbossas\\standalone\\log\\log4j-appender-file.log
pojo.customFileAppender.immediateFlush=true
